org.apache.solr.handler.component

## Class RealTimeGetComponent

- java.lang.Object
- - org.apache.solr.handler.component.SearchComponent
  - - org.apache.solr.handler.component.RealTimeGetComponent

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin

      public class RealTimeGetComponent
      extends SearchComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_NAME`
    `static SolrInputDocument` | `DELETED`

    - ### Fields inherited from class org.apache.solr.handler.component.SearchComponent

      `standard_components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealTimeGetComponent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `createSubRequests(ResponseBuilder rb)`
    `int` | `distributedProcess(ResponseBuilder rb)` Process for a distributed search.
    `void` | `finishStage(ResponseBuilder rb)` private void handleRegularResponses(ResponseBuilder rb, ShardRequest sreq) { }
    `String` | `getDescription()` Simple one or two line description
    `URL[]` | `getDocs()` Documentation URL list.
    `static SolrInputDocument` | `getInputDocument(SolrCore core, BytesRef idBytes)`
    `static SolrInputDocument` | `getInputDocumentFromTlog(SolrCore core, BytesRef idBytes)` returns the SolrInputDocument from the current tlog, or DELETED if it has been deleted, or null if there is no record of it in the current update log.
    `void` | `prepare(ResponseBuilder rb)` Prepare the response.
    `void` | `process(ResponseBuilder rb)` Process the request for this component
    `void` | `processGetFingeprint(ResponseBuilder rb)`
    `void` | `processGetUpdates(ResponseBuilder rb)`
    `void` | `processGetVersions(ResponseBuilder rb)`
    `void` | `processSync(ResponseBuilder rb, int nVersions, String sync)`

    - ### Methods inherited from class org.apache.solr.handler.component.SearchComponent

      `getCategory, getName, getSource, getStatistics, getVersion, handleResponses, init, modifyRequest, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_NAME

          public static final String COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### DELETED

          public static SolrInputDocument DELETED

  - ### Constructor Detail

    - #### RealTimeGetComponent

          public RealTimeGetComponent()

  - ### Method Detail

    - #### prepare

          public void prepare(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Prepare the response. Guaranteed to be called before any SearchComponent `SearchComponent.process(org.apache.solr.handler.component.ResponseBuilder)` method. Called for every incoming request. The place to do initialization that is request dependent.
      Specified by:
        `prepare` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### process

          public void process(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Process the request for this component
      Specified by:
        `process` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### getInputDocumentFromTlog

          public static SolrInputDocument getInputDocumentFromTlog(SolrCore core,
                                                                   BytesRef idBytes)

      returns the SolrInputDocument from the current tlog, or DELETED if it has been deleted, or null if there is no record of it in the current update log. If null is returned, it could still be in the latest index.

    - #### getInputDocument

          public static SolrInputDocument getInputDocument(SolrCore core,
                                                           BytesRef idBytes)
                                                    throws IOException

      Throws:
        `IOException`

    - #### distributedProcess

          public int distributedProcess(ResponseBuilder rb)
                                 throws IOException

      Description copied from class: `SearchComponent`
      Process for a distributed search.
      Overrides:
        `distributedProcess` in class `SearchComponent`
      Returns:
        the next stage for this component
      Throws:
        `IOException`

    - #### createSubRequests

          public int createSubRequests(ResponseBuilder rb)
                                throws IOException

      Throws:
        `IOException`

    - #### finishStage

          public void finishStage(ResponseBuilder rb)

      private void handleRegularResponses(ResponseBuilder rb, ShardRequest sreq) { }
      Overrides:
        `finishStage` in class `SearchComponent`

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `SearchComponent`

    - #### getDocs

          public URL[] getDocs()

      Description copied from interface: `SolrInfoMBean`
      Documentation URL list.

      Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

      Specified by:
        `getDocs` in interface `SolrInfoMBean`
      Overrides:
        `getDocs` in class `SearchComponent`

    - #### processGetFingeprint

          public void processGetFingeprint(ResponseBuilder rb)
                                    throws IOException

      Throws:
        `IOException`

    - #### processGetVersions

          public void processGetVersions(ResponseBuilder rb)
                                  throws IOException

      Throws:
        `IOException`

    - #### processSync

          public void processSync(ResponseBuilder rb,
                                  int nVersions,
                                  String sync)

    - #### processGetUpdates

          public void processGetUpdates(ResponseBuilder rb)
                                 throws IOException

      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.